[java-idp-plugin-jetty] 01/02: JJETTY-17 Bugs in early alpha of version 2
Rod Widdowson
rdw at steadingsoftware.com
Sun Aug 17 12:56:28 UTC 2025
This is an automated email from the git hooks/post-receive script.
rdw pushed a commit to branch dev/BatfileWIP
in repository java-idp-plugin-jetty.
View the commit online:
http://git.shibboleth.net/view/?p=java-idp-plugin-jetty.git;a=commit;h=9b28006bf5c6db8b89777a01947fd218514d2b6f
commit 9b28006bf5c6db8b89777a01947fd218514d2b6f
Author: Rod Widdowson <rdw at steadingsoftware.com>
AuthorDate: Sun Aug 17 13:53:03 2025 +0100
JJETTY-17 Bugs in early alpha of version 2
https://shibboleth.atlassian.net/browse/JJETTY-17
---
.../shibboleth/idp/module/jetty/downloadjetty.bat | 21 ++++++++++++++++----
.../shibboleth/idp/module/jetty/downloadjetty.sh | 21 +++++++++++++++++---
.../idp/module/jetty/downloadprocrun.bat | 23 +++++++++++++++++-----
.../shibboleth/idp/module/jetty/module.properties | 2 +-
4 files changed, 54 insertions(+), 13 deletions(-)
diff --git a/jetty-impl/src/main/resources/net/shibboleth/idp/module/jetty/downloadjetty.bat b/jetty-impl/src/main/resources/net/shibboleth/idp/module/jetty/downloadjetty.bat
index abedbdc..061fb45 100644
--- a/jetty-impl/src/main/resources/net/shibboleth/idp/module/jetty/downloadjetty.bat
+++ b/jetty-impl/src/main/resources/net/shibboleth/idp/module/jetty/downloadjetty.bat
@@ -1,11 +1,24 @@
- at echo foo
+ at echo off
setlocal
-REM Add code to check that the target and the directory doesnt exist
-REM Add code to create and add everyone-RO ACL/administrators W on jetty-downloads (if it doesnt exist)
+if exist "%~dp0..\jetty-dist\commons-daemon-%1%-bin-windows.zip" (
+ echo Error: commons-daemon-%1% already downloaded
+ exit /b
+)
+if exist "%~dp0..\jetty-dist\commons-daemon-%1%" (
+ echo Error: commons-daemon-%1% already downloaded
+ exit /b
+)
+
+set VERSION=%1%
+:loop
+if "%VERSION%" EQS "" (
+ set /p VERSION="Jetty Version to download: "
+ goto loop
+)
set CLASSPATH=%~dp0\net.shibboleth.idp.jetty-base\jetty-cli.jar
-runclass -Dnet.shibboleth.idp.cli.arguments=net.shibboleth.idp.plugin.jetty.cli.impl.JettyDownloadArugments net.shibboleth.idp.plugin.jetty.cli.impl.JettyDownloadCLI %*
+runclass -Dnet.shibboleth.idp.cli.arguments=net.shibboleth.idp.plugin.jetty.cli.impl.JettyDownloadArugments net.shibboleth.idp.plugin.jetty.cli.impl.JettyDownloadCLI -v %VERSION%
diff --git a/jetty-impl/src/main/resources/net/shibboleth/idp/module/jetty/downloadjetty.sh b/jetty-impl/src/main/resources/net/shibboleth/idp/module/jetty/downloadjetty.sh
index 9594d37..93874e1 100644
--- a/jetty-impl/src/main/resources/net/shibboleth/idp/module/jetty/downloadjetty.sh
+++ b/jetty-impl/src/main/resources/net/shibboleth/idp/module/jetty/downloadjetty.sh
@@ -1,10 +1,25 @@
declare LOCATION
declare CLASSPATH
-
-#Add code to check that the target and the directory doesnt exist
+declare VERSION
LOCATION=$(dirname $0)
CLASSPATH=$LOCATION/net.shibboleth.idp.jetty-base/jetty-cli.jar
+export CLASSPATH
+
+if [ -e "$LOCATION/jetty-dist/jetty-home-$1.tar.gz" ] ; then
+ echo "Error: $LOCATION/jetty-dist/jetty-home-$1.tar.gz already exists"
+ exit 1
+fi
+
+if [ -e "$LOCATION/jetty-dist/jetty-home-$1" ] ; then
+ echo "Error: $LOCATION/jetty-dist/jetty-home-$1 already exists"
+ exit 1
+fi
+
+VERSION=$1
+while [ -z $VERSION ] ; do
+ read /p "Jetty version to download: " VERSION
+done
-$LOCATION/runclass -Dnet.shibboleth.idp.cli.arguments=net.shibboleth.idp.plugin.jetty.cli.impl.JettyDownloadArugments net.shibboleth.idp.plugin.jetty.cli.impl.JettyDownloadCLI "$@"
+$LOCATION/runclass -Dnet.shibboleth.idp.cli.arguments=net.shibboleth.idp.plugin.jetty.cli.impl.JettyDownloadArugments net.shibboleth.idp.plugin.jetty.cli.impl.JettyDownloadCLI -v $VERSION
diff --git a/jetty-impl/src/main/resources/net/shibboleth/idp/module/jetty/downloadprocrun.bat b/jetty-impl/src/main/resources/net/shibboleth/idp/module/jetty/downloadprocrun.bat
index 8fedbef..dae8b6f 100644
--- a/jetty-impl/src/main/resources/net/shibboleth/idp/module/jetty/downloadprocrun.bat
+++ b/jetty-impl/src/main/resources/net/shibboleth/idp/module/jetty/downloadprocrun.bat
@@ -1,14 +1,27 @@
- at echo foo
+ at echo off
setlocal
-REM Add code to check that the target and the directory doesnt exist
-REM Add code to create and add everyone-RO ACL/administrators W on jetty-downloads (if it doesnt exist)
+if exist "%~dp0..\jetty-dist\jetty-home-%1%" (
+ echo Error: jetty-home-%1% already downloaded
+ exit /b
+)
+if exist "%~dp0..\jetty-dist\jetty-home-%1%.tar.gz" (
+ echo Error: jetty-home-%1% already downloaded
+ exit /b
+)
+set VERSION=%1%
+:loop
+if "%VERSION%" EQS "" (
+ set /p VERSION="Procrun Version to download: "
+ goto loop
+)
+
+SET MAVEN_ARGS=--type zip --classifier bin-windows --groupId commons-daemon --artifactId commons-daemon -v %VERSION%
set CLASSPATH=%~dp0\net.shibboleth.idp.jetty-base\jetty-cli.jar
-SET MAVEN_ARGS=--type zip --classifier bin-windows --groupId commons-daemon --artifactId commons-daemon
-runclass -Dnet.shibboleth.idp.cli.arguments=net.shibboleth.idp.plugin.jetty.cli.impl.JettyDownloadArugments net.shibboleth.idp.plugin.jetty.cli.impl.JettyDownloadCLI %MAVEN_ARGS% %*
+runclass -Dnet.shibboleth.idp.cli.arguments=net.shibboleth.idp.plugin.jetty.cli.impl.JettyDownloadArugments net.shibboleth.idp.plugin.jetty.cli.impl.JettyDownloadCLI %MAVEN_ARGS%
diff --git a/jetty-impl/src/main/resources/net/shibboleth/idp/module/jetty/module.properties b/jetty-impl/src/main/resources/net/shibboleth/idp/module/jetty/module.properties
index cd7a1db..6f398a3 100644
--- a/jetty-impl/src/main/resources/net/shibboleth/idp/module/jetty/module.properties
+++ b/jetty-impl/src/main/resources/net/shibboleth/idp/module/jetty/module.properties
@@ -28,7 +28,7 @@ jetty.module.6.src = /net/shibboleth/idp/module/jetty/jetty-base-12/static/index
jetty.module.6.dest = jetty-base-12/static/index.html
jetty.module.7.src = /net/shibboleth/idp/module/jetty/jetty-cli.jar
-jetty.module.7.dest = bin/net.shibboleth.idp.jetty-base-12/jetty-cli.jar
+jetty.module.7.dest = bin/net.shibboleth.idp.jetty-base/jetty-cli.jar
jetty.module.7.replace = true
# For legacy reasons we separate Windows and non windows start.d
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
More information about the commits
mailing list